<%@  taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@  taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib uri="/WEB-INF/cvtaglib.tld" prefix="cv" %>
<fmt:bundle basename="localization.messages">
	<fmt:message key="summary.link.sync" var="sync" />
</fmt:bundle>
<fmt:bundle basename="localization.SyncMessages">
	<fmt:message key="sync.dialog.deleteSyncFolderTitle" var="deleteSyncFolderTitle" />
	<fmt:message key="sync.dialog.pauseSyncFolderTitle" var="pauseSyncFolderTitle" />
	<fmt:message key="sync.dialog.resumeSyncFolderTitle" var="resumeSyncFolderTitle" />
	<fmt:message key="sync.dialog.startSyncFolderTitle" var="startSyncFolderTitle" />
	<fmt:message key="sync.dialog.deleteText" var="deleteText" />
	<fmt:message key="sync.dialog.pauseText" var="pauseText" />
	<fmt:message key="sync.dialog.resumeText" var="resumeText" />
	<fmt:message key="sync.dialog.startText" var="startText" />
	<fmt:message key="sync.dialog.deleteSuccess" var="deleteSuccess" />
	<fmt:message key="sync.dialog.pauseSuccess" var="pauseSuccess" />
	<fmt:message key="sync.dialog.resumeSuccess" var="resumeSuccess" />
	<fmt:message key="sync.dialog.startSuccess" var="startSuccess" />
	<fmt:message key="sync.dialog.deleteFailed" var="deleteFailed" />
	<fmt:message key="sync.dialog.pauseFailed" var="pauseFailed" />
	<fmt:message key="sync.dialog.resumeFailed" var="resumeFailed" />
	<fmt:message key="sync.dialog.startFailed" var="startFailed" />
	<fmt:message key="sync.error.userProfileClient" var="userProfileClient" />
	<fmt:message key="sync.label.deleteTooltip" var="deleteTooltip" />
	<fmt:message key="sync.label.pauseTooltip" var="pauseTooltip" />
	<fmt:message key="sync.label.resumeTooltip" var="resumeTooltip" />
	<fmt:message key="sync.label.startTooltip" var="startTooltip" />
	<fmt:message key='sync.label.notAvaiable' var='notAvailable' /> 
	<fmt:message key='sync.label.partiallySynced' var='partiallySyncedMode1'/>
	<fmt:message key='sync.label.paused' var='pausedMode1' />
	<fmt:message key='sync.label.inProgress' var='inProgressMode1'/>

	<fmt:message key='sync.label.folderName' var='labelFolderName'/>
	<fmt:message key='sync.label.participatingComputers' var='labelParticipatingComputers'/>
	<fmt:message key='sync.label.lastSyncTime1' var='labelLastSyncTime1'/>
	<fmt:message key='sync.label.syncStatus1' var='labelSyncStatus1'/>
	<fmt:message key='sync.label.actions' var='labelActions'/>
	<fmt:message key='sync.label.addFolder' var='labelAddFolder'/>
	<fmt:message key='sync.lebel.addFolderText' var='labelAddFolderText'/>
	<fmt:message key='sync.label.completed' var='completedMode'/>
	<fmt:message key='sync.label.partiallySynced' var='partiallySyncedMode'/>
	<fmt:message key='sync.label.inProgress' var='inProgressMode'/>
	<fmt:message key='sync.label.paused' var='pausedMode'/>
</fmt:bundle>
<span class="sectiontitle vw-page-title">${sync}</span>
<div id="webFolderList">
	<div id="webFolderListData" class="vw-summary-sync-list"></div>
</div>

<script type="text/template" id="WFTemplate">
<div class="sub-section">
	<div class="subsec-body clientJobs vw-data-table">
		<ul class="secrowhead secrows vw-data-row vw-heading-row clearfix">
			<li class="li1 vw-row_folders" data-title="{{labelFolderName}}">{{labelFolderName}}</li>
			<li class="li2 vw-row_participating-computers" data-title="{{labelParticipatingComputers}}">{{labelParticipatingComputers}}</li>
			<li class="li4 vw-row_last-sync" data-title="{{labelLastSyncTime1}}">{{labelLastSyncTime1}}</li>
			<li class="li5 vw-row_sync-status" data-title="{{labelSyncStatus1}}">{{labelSyncStatus1}}</li>
			<li class="li6 vw-row_actions" data-title="{{labelActions}}">{{labelActions}}</li>
		</ul>

		<div class="browseDataRows vw-data-table_content">
			{{#WEB_FOLDER_INFO}}
				<ul class="secrows listShown webFolders vw-data-row clearfix">
					<li class="li1 vw-row_folders" data-title="{{labelFolderName}}">
						<a class="someLink folderNameLink" data-id="{{syncInfo.syncWebFolder.syncWebFolderId}}" role="button" tabindex="0">{{syncInfo.syncWebFolder.syncWebFolderName}}</a>
					</li>
					<li class="li2 vw-row_participating-computers" data-title="{{labelParticipatingComputers}}">
						{{#associatedClientsZero}}
							--
						{{/associatedClientsZero}}
						{{^associatedClientsZero}}
							{{participatingList}}
						{{/associatedClientsZero}}
					</li>
					<li class="li4 vw-row_last-sync" data-title="{{labelLastSyncTime1}}">{{syncInfo.lastSyncTime}}</li>
					<li class="li5 vw-row_sync-status" data-title="{{labelSyncStatus1}}">{{syncInfo.syncStatus}}</li>
					<li class="li6 vw-row_actions" data-title="{{labelActions}}">
						<ul id="syncHeaderItemsSummary" class="vw-actions_btns">
							{{^CLIENT_PROP_FLAGS_PAUSED}}
								<li class="pauseFolder"><img src="../sync/img/onMode.png" title="{{pauseTooltip}}" alt="{{pauseTooltip}}"></li>
								<li class="resumeFolder hidden"><img src="../sync/img/offMode.png" title="{{resumeTooltip}}" alt="{{resumeTooltip}}"></li>
							{{/CLIENT_PROP_FLAGS_PAUSED}}
							{{#CLIENT_PROP_FLAGS_PAUSED}}
								<li class="pauseFolder hidden"><img src="../sync/img/onMode.png" title="{{pauseTooltip}}" alt="{{pauseTooltip}}"></li>
								{{#syncInfo.syncWebFolderIdLessZero}}
									<li class="resumeFolder"><img src="../sync/img/offMode.png" title="{{startTooltip}}" alt="{{startTooltip}}"></li>
								{{/syncInfo.syncWebFolderIdLessZero}}
								{{^syncInfo.syncWebFolderIdLessZero}}
									<li class="resumeFolder" ><img src="../sync/img/offMode.png" title="{{resumeTooltip}}" alt="{{resumeTooltip}}"></li>
								{{/syncInfo.syncWebFolderIdLessZero}}
							{{/CLIENT_PROP_FLAGS_PAUSED}}
						</ul>
					</li>
				</ul>
			{{/WEB_FOLDER_INFO}}
			{{#WEB_FOLDER_INFOThree}}
				<ul class="secrows lastrow"></ul>
			{{/WEB_FOLDER_INFOThree}}
		</div>
	</div>
	<div class="AddNewItem">
		<a class="AddSyncFolder addNewItemA vw-btn vw-btn-secondary" role="button" tabindex="0">
			<span class="addWF"><span class="sprite icon-plus" role="presentation" aria-hidden="true"></span>&nbsp;{{labelAddFolder}}</span>
		</a>
		<span id="extraText">{{labelAddFolderText}}</span>
	</div>
</div>

<div class="error_bubble" style="display:none; opacity: 1;">
	<div class="error_bubble_text">
  		{{errorFieldCannotBeEmpty}}
	</div>
	<div class="triborder_error" style="left: 67px;">
		<div class="triarea_error">
		</div>
	</div>
</div>
	
<ul class="clientUserMappings">
	{{#FS_BK_LIST}}
		<li data-name="{{clientName}}" data-value="{{userMapping}}"></li>
	{{/FS_BK_LIST}}
</ul>
</script>

<script nonce="${sessionScope.cspNonce}" >
var deleteSyncFolderTitle = "${deleteSyncFolderTitle}";
var pauseSyncFolderTitle = "${pauseSyncFolderTitle}";
var resumeSyncFolderTitle = "${resumeSyncFolderTitle}";
var startSyncFolderTitle = "${startSyncFolderTitle}";
var deleteText = "${deleteText}";
var pauseText = "${pauseText}";
var resumeText = "${resumeText}";
var startText = "${startText}";
var deleteSuccess = "${deleteSuccess}";
var pauseSuccess = "${pauseSuccess}";
var resumeSuccess = "${resumeSuccess}";
var startSuccess = "${startSuccess}";
var deleteFailed = "${deleteFailed}";
var pauseFailed = "${pauseFailed}";
var resumeFailed = "${resumeFailed}";
var startFailed = "${startFailed}";
var userProfileClient = "${userProfileClient}";
var notAvailableText = "${notAvailable}";
var partiallySyncedModeText = "${partiallySyncedMode1}";
var pausedModeText = "${pausedMode1}";
var inProgressMode = "${inProgressMode1}";
var localMsg = localMsg || {};
localMsg.labelFolderName = "${labelFolderName}";
localMsg.labelParticipatingComputers = "${labelParticipatingComputers}";
localMsg.labelLastSyncTime1 = "${labelLastSyncTime1}";
localMsg.labelSyncStatus1 = "${labelSyncStatus1}";
localMsg.labelAddFolder = "${labelAddFolder}";
localMsg.labelAddFolderText = "${labelAddFolderText}";
localMsg.labelActions = "${labelActions}";
localMsg.resumeTooltip = "${resumeTooltip}";
localMsg.pauseTooltip = "${pauseTooltip}";
localMsg.startTooltip = "${startTooltip}";
localMsg.completedMode = "${completedMode}";
localMsg.partiallySyncedMode = "${partiallySyncedMode}";
localMsg.inProgressMode = "${inProgressMode}";
localMsg.pausedMode = "${pausedMode}";
</script>

<script nonce="${sessionScope.cspNonce}" type="text/javascript" src="js/displaySummaryWF.js?${applicationScope.BUILD_TS}"></script>
